summaryrefslogtreecommitdiff
path: root/support/lacheck/test-def.test
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/lacheck/test-def.test
Initial commit
Diffstat (limited to 'support/lacheck/test-def.test')
-rw-r--r--support/lacheck/test-def.test14
1 files changed, 14 insertions, 0 deletions
diff --git a/support/lacheck/test-def.test b/support/lacheck/test-def.test
new file mode 100644
index 0000000000..15997c3f4e
--- /dev/null
+++ b/support/lacheck/test-def.test
@@ -0,0 +1,14 @@
+#! /bin/sh -vx
+# $Id: test-def.test 51589 2019-07-09 03:36:40Z kakuto $
+# Copyright 2019 Karl Berry <tex-live@tug.org>
+# You may freely use, modify and/or distribute this file.
+
+LC_ALL=C; export LC_ALL; LANGUAGE=C; export LANGUAGE
+
+testname=test-def
+input=$testname.tex
+./lacheck $srcdir/$input \
+| sed -e "s!$srcdir/$input!./$input!g" >$testname.out || exit 1
+
+diff $srcdir/$testname.xout $testname.out || exit 1
+